Loading...
Searching...
No Matches
casacore::TaQLShow Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <TaQLShow.h>`

## Static Public Member Functions

static String | getInfo (const Vector< String > &parts, const TaQLStyle &style)
static String | showTable (const Vector< String > &parts)
static String | showCommand (const String &cmd)
static String | showFuncs (const String &type, const Vector< String > &parts, const TaQLStyle &style)
static void | showUnitKind (std::ostream &os, const UnitVal &kind, const std::map< String, UnitName > &units)
static String | showUnits (const String &type)
static String | showMeasTypes (const String &type)

## Detailed Description

Class to show various TaQL-related info

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TableGram
- Note 199 describing TaQL

### Synopsis

TaQLShow::getInfo is called by the TaQL help (or show) command. It returns a string (with newlines) containing the requested help info.

Note that a command like 'help func mscal' command calls the getInfo function in the dynamically loaded mscal UDF library.

### Motivation

It is nice if the user can get online TaQL help.

Definition at line 68 of file TaQLShow.h.

## Member Function Documentation

## getInfo()

String casacore::TaQLShow::getInfo | ( | const Vector< String > & | parts,
|  | const TaQLStyle & | style )

static

## showCommand()

String casacore::TaQLShow::showCommand | ( | const String & | cmd | ) |

static

## showFuncs()

String casacore::TaQLShow::showFuncs | ( | const String & | type,
|  | const Vector< String > & | parts,
|  | const TaQLStyle & | style )

static

## showMeasTypes()

String casacore::TaQLShow::showMeasTypes | ( | const String & | type | ) |

static

## showTable()

String casacore::TaQLShow::showTable | ( | const Vector< String > & | parts | ) |

static

## showUnitKind()

void casacore::TaQLShow::showUnitKind | ( | std::ostream & | os,
|  | const UnitVal & | kind,
|  | const std::map< String, UnitName > & | units )

static

## showUnits()

String casacore::TaQLShow::showUnits | ( | const String & | type | ) |

static

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLShow.h